# Script to mass configure vCenter and add ESXi hosts
# PowerCLI Cookbook

# Set hostname
$hostname = "192.168.0.241"

# Connect to one ESXi host
$connectedhost = connect-viserver $hostname

# Retrieve VMHost object for host
$esxihost = Get-VMHost $hostname

# Format the disk as a VMFS datastore - repeat and adapt depending on LUN number and Name

$LUN = $esxihost | Get-ScsiLun | Where {$_.RuntimeName -like "*L8"} 
$esxihost | New-Datastore -Name iSCSIDatastore1 -Path $LUN.CanonicalName -VMFS
