<# CheckFreeSpace.ps1  #> 
if (!(get-pssnapin -name VMware.VimAutomation.Core -erroraction silentlycontinue)) {
   Add-PSSnapin VMware.VimAutomation.Core
}
$vmview = Get-View -ViewType VirtualMachine
$VMsWithTools = Get-VM | Get-View | Where {$_.Guest.ToolsStatus -like "toolsO*"} 
ForEach ($vm in $VMsWithTools) {
	$output += $vm.Guest.Disk | Select @{N='VM';E={$vm.Name}}, *, @{N='FreePercent';E={"{0:P1}" -f ( $_.FreeSpace / $_.Capacity ) }} | Where { $_.FreePercent * 100 -lt 10} | Format-Table
}
$outputrows = $output | Measure
if ($outputrows.count > 0) {
	Send-MailMessage -To group@domain.local -Subject "Disk with less than 10% free disk space" -Body $output -SmtpServer mail.domain.local -From powershell@domain.local
}
